Class | WSDL::SOAP::WSDL2Ruby
In: | wsdl/soap/wsdl2ruby.rb
Parent: | Object

### Methods

new run

### Attributes

basedir | [RW] |
location | [RW] |
logger | [RW] |
opt | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/soap/wsdl2ruby.rb, line 41
      def initialize
        @location = nil
        @opt = {}
        @logger = Logger.new(STDERR)
        @basedir = nil
        @wsdl = nil
        @name = nil
      end

### Public Instance methods

run()

[Source]

    # File wsdl/soap/wsdl2ruby.rb, line 30
      def run
        unless @location
          raise RuntimeError, "WSDL location not given"
        end
        @wsdl = import(@location)
        @name = @wsdl.name ? @wsdl.name.name : 'default'
        create_file
      end

[Validate]